CRAN Package Check Results for Package matlib

Last updated on 2021-10-20 08:49:29 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.9.5 8.72 90.78 99.50 NOTE
r-devel-linux-x86_64-debian-gcc 0.9.5 7.11 68.73 75.84 NOTE
r-devel-linux-x86_64-fedora-clang 0.9.5 130.58 NOTE
r-devel-linux-x86_64-fedora-gcc 0.9.5 118.18 NOTE
r-devel-windows-x86_64 0.9.5 16.00 133.00 149.00 NOTE
r-devel-windows-x86_64-gcc10-UCRT 0.9.5 NOTE
r-patched-linux-x86_64 0.9.5 11.76 100.78 112.54 NOTE
r-patched-solaris-x86 0.9.5 154.00 WARN
r-release-linux-x86_64 0.9.5 9.61 100.12 109.73 NOTE
r-release-macos-arm64 0.9.5 NOTE
r-release-macos-x86_64 0.9.5 WARN
r-release-windows-ix86+x86_64 0.9.5 23.00 136.00 159.00 NOTE
r-oldrel-macos-x86_64 0.9.5 WARN
r-oldrel-windows-ix86+x86_64 0.9.5 24.00 142.00 166.00 NOTE

Check Details

Version: 0.9.5
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: 'webshot2'
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-windows-x86_64, r-devel-windows-x86_64-gcc10-UCRT, r-patched-linux-x86_64, r-release-linux-x86_64, r-release-macos-arm64, r-release-macos-x86_64, r-release-windows-ix86+x86_64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 0.9.5
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘data-beta.Rmd’ using rmarkdown
    Pandoc is required to build R Markdown vignettes but not available. Please make sure it is installed.
    
    Attaching package: 'matlib'
    
    The following object is masked from 'package:rgl':
    
     GramSchmidt
    
    Quitting from lines 162-183 (data-beta.Rmd)
    Error: processing vignette 'data-beta.Rmd' failed with diagnostics:
    Saving a widget with selfcontained = TRUE requires pandoc. For details see:
    https://github.com/rstudio/rmarkdown/blob/master/PANDOC.md
    --- failed re-building ‘data-beta.Rmd’
    
    --- re-building ‘det-ex1.Rmd’ using rmarkdown
    Pandoc is required to build R Markdown vignettes but not available. Please make sure it is installed.
    --- finished re-building ‘det-ex1.Rmd’
    
    --- re-building ‘det-ex2.Rmd’ using rmarkdown
    Pandoc is required to build R Markdown vignettes but not available. Please make sure it is installed.
    --- finished re-building ‘det-ex2.Rmd’
    
    --- re-building ‘eigen-ex1.Rmd’ using rmarkdown
    Pandoc is required to build R Markdown vignettes but not available. Please make sure it is installed.
    --- finished re-building ‘eigen-ex1.Rmd’
    
    --- re-building ‘eigen-ex2.Rmd’ using rmarkdown
    Pandoc is required to build R Markdown vignettes but not available. Please make sure it is installed.
    --- finished re-building ‘eigen-ex2.Rmd’
    
    --- re-building ‘ginv.Rmd’ using rmarkdown
    Pandoc is required to build R Markdown vignettes but not available. Please make sure it is installed.
    --- finished re-building ‘ginv.Rmd’
    
    --- re-building ‘gramreg.Rmd’ using rmarkdown
    Pandoc is required to build R Markdown vignettes but not available. Please make sure it is installed.
    --- finished re-building ‘gramreg.Rmd’
    
    --- re-building ‘inv-ex1.Rmd’ using rmarkdown
    Pandoc is required to build R Markdown vignettes but not available. Please make sure it is installed.
    --- finished re-building ‘inv-ex1.Rmd’
    
    --- re-building ‘inv-ex2.Rmd’ using rmarkdown
    Pandoc is required to build R Markdown vignettes but not available. Please make sure it is installed.
    --- finished re-building ‘inv-ex2.Rmd’
    
    --- re-building ‘linear-equations.Rmd’ using rmarkdown
    Pandoc is required to build R Markdown vignettes but not available. Please make sure it is installed.
    
    Attaching package: 'matlib'
    
    The following object is masked from 'package:rgl':
    
     GramSchmidt
    
    Quitting from lines 173-174 (linear-equations.Rmd)
    Error: processing vignette 'linear-equations.Rmd' failed with diagnostics:
    Saving a widget with selfcontained = TRUE requires pandoc. For details see:
    https://github.com/rstudio/rmarkdown/blob/master/PANDOC.md
    --- failed re-building ‘linear-equations.Rmd’
    
    SUMMARY: processing the following files failed:
     ‘data-beta.Rmd’ ‘linear-equations.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavor: r-patched-solaris-x86

Version: 0.9.5
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
    --- re-building ‘data-beta.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    
    Attaching package: 'matlib'
    
    The following object is masked from 'package:rgl':
    
     GramSchmidt
    
    Warning in snapshot3d(scene = x, width = width, height = height) :
     webshot = TRUE requires the webshot2 package; using rgl.snapshot() instead
    Quitting from lines 162-183 (data-beta.Rmd)
    Error: processing vignette 'data-beta.Rmd' failed with diagnostics:
    OpenGL is not available in this build
    --- failed re-building ‘data-beta.Rmd’
    
    --- re-building ‘det-ex1.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    --- finished re-building ‘det-ex1.Rmd’
    
    --- re-building ‘det-ex2.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    --- finished re-building ‘det-ex2.Rmd’
    
    --- re-building ‘eigen-ex1.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    --- finished re-building ‘eigen-ex1.Rmd’
    
    --- re-building ‘eigen-ex2.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    --- finished re-building ‘eigen-ex2.Rmd’
    
    --- re-building ‘ginv.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    --- finished re-building ‘ginv.Rmd’
    
    --- re-building ‘gramreg.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    --- finished re-building ‘gramreg.Rmd’
    
    --- re-building ‘inv-ex1.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    --- finished re-building ‘inv-ex1.Rmd’
    
    --- re-building ‘inv-ex2.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    --- finished re-building ‘inv-ex2.Rmd’
    
    --- re-building ‘linear-equations.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    
    Attaching package: 'matlib'
    
    The following object is masked from 'package:rgl':
    
     GramSchmidt
    
    Warning in snapshot3d(scene = x, width = width, height = height) :
     webshot = TRUE requires the webshot2 package; using rgl.snapshot() instead
    Quitting from lines 173-174 (linear-equations.Rmd)
    Error: processing vignette 'linear-equations.Rmd' failed with diagnostics:
    OpenGL is not available in this build
    --- failed re-building ‘linear-equations.Rmd’
    
    SUMMARY: processing the following files failed:
     ‘data-beta.Rmd’ ‘linear-equations.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavors: r-release-macos-x86_64, r-oldrel-macos-x86_64